"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _commentParser = require("comment-parser");

var _commentParser2 = _interopRequireDefault(_commentParser);

var _jsdoctypeparser = require("jsdoctypeparser");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class Comment {
  constructor(commentString) {
    this.commentString = commentString;
    [this._parsed] = (0, _commentParser2.default)(commentString);
  }

  findTags(name) {
    const {
      tags
    } = this._parsed || {};

    if (tags) {
      return tags.filter(tag => (tag && tag.tag) === name);
    } else {
      return [];
    }
  }

  getParams() {
    return this.findTags('param').map(param => ({ ...param,
      type: (0, _jsdoctypeparser.parse)(param.type)
    }));
  }

  hasTag(name) {
    return this.findTags(name).length > 0;
  }

}

exports.default = Comment;